%global momorel 6

Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Name: alsa-utils

Version: 1.0.8
#%%global ALSArcver 2

# set alsa-utils version
%global utils_ver %{version}%{?ALSArcver:rc%{ALSArcver}}
%global utils_name %{name}-%{utils_ver}

# set alsa-driver version
%global dri_ver %{version}%{?ALSArcver:rc%{ALSArcver}}
%global dri_name alsa-driver-%{dri_ver}

# set alsa-oss version
%global oss_ver %{version}%{?ALSArcver:rc%{ALSArcver}}
%global oss_name alsa-oss-%{oss_ver}

#Release: 0.%{ALSArcver}.%{momorel}m
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.alsa-project.org/

%global md5source0 c72d0efa9c88770a10733ec2abc1a872
%NoSource 0 ftp://ftp.alsa-project.org/pub/utils/%{utils_name}.tar.bz2 %{md5source0}

%global md5source1 97d11d734baedd8686d4284eb8273629
%NoSource 1 ftp://ftp.alsa-project.org/pub/driver/%{dri_name}.tar.bz2 %{md5source1}


%global md5source2 fb13eed47ab086d9c5acf746de34b872
%NoSource 2 ftp://ftp.alsa-project.org/pub/oss-lib/%{oss_name}.tar.bz2 %{md5source2}

Source3: alsa.dev

Patch0: alsa-utils-1.0.0rc2-alsaconf-momonga.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: alsa-lib-devel >= %{version}
BuildRequires: autoconf >= 2.58

Obsoletes: alsaconf
Provides: alsaconf = %{version}%{?ALSArcver:rc%{ALSArcver}}
Requires: alsa-lib >= %{version}
Requires: initscripts >= 7.42

%description
Advanced Linux Sound Architecture (ALSA) - Utils

Features
========

* general
  - modularized architecture with support for 2.0 and latest 2.1 kernels
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
* ISA soundcards
  - support for 128k ISA DMA buffer
* mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
* digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
* OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%prep
%setup -q -a1 -a2 -n %{utils_name}
%patch0 -p1

pushd %{oss_name}
touch INSTALL NEWS README AUTHORS ChangeLog
popd

%build
%configure --sbindir=/sbin
%make

pushd %{oss_name}
libtoolize -c -f
#aclocal-1.6
aclocal
#automake-1.6 -c -f
automake -c -f
autoconf
%configure
%make
popd

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1

#make prefix="%{buildroot}/usr" install
# %%makeinstall
make DESTDIR=%{buildroot} install

strip `find %{buildroot}/usr/{bin,sbin} | xargs file | grep ELF | awk 'BEGIN {FS=":"}{print $1}'`
strip `find %{buildroot}/{bin,sbin} | xargs file | grep ELF | awk 'BEGIN {FS=":"}{print $1}'`

%__chmod -x config.status

%__install -m 0755 %{dri_name}/snddevices %{buildroot}/sbin/

%__mkdir_p %{buildroot}%{_initscriptdir}
%__install -m 0755 %{dri_name}/utils/alsasound %{buildroot}%{_initscriptdir}

pushd %{oss_name}
%makeinstall
popd

%__mkdir_p %{buildroot}%{_sbindir}
%__ln_s ../../sbin/alsactl %{buildroot}/%{_sbindir}/alsactl
%__ln_s ../../sbin/alsaconf %{buildroot}/%{_sbindir}/alsaconf
%__ln_s ../../sbin/snddevices %{buildroot}/%{_sbindir}/snddevices

%__mkdir_p -m 0755 %{buildroot}%{_sysconfdir}/dev.d/sound
%__install -m 0755 %{SOURCE3} %{buildroot}%{_sysconfdir}/dev.d/sound/alsa.dev

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog COPYING README TODO config.status
%dir %{_sysconfdir}/dev.d/sound
%{_sysconfdir}/dev.d/sound/*
%{_sbindir}/*
%{_bindir}/*
/sbin/*
%{_initscriptdir}/alsasound
%{_libdir}/*
%{_includedir}/*
%{_mandir}/man*/*
%{_datadir}/locale/*/*/*

%changelog
* Sat Feb 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.8-6m)
- rebuild against automake

* Sun Feb 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.8-5m)
- move alsactl and alsaconf to /sbin, alsactl is needed at boot time

* Mon Feb  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.8-4m)
- revise Source3: alsa.dev

* Mon Feb  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.8-3m)
- revise %%install section to install %%{SOURCE3} alsa.dev

* Sun Feb  6 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.8-2m)
- /etc/dev.d/sound is missed.

* Fri Jan 14 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.8-1m)
- update to 1.0.8

* Tue Aug 17 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.0.6-1m)
- version update to 1.0.6

* Tue Aug 10 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.0.5-2m)
- use autoconf instead of autoconf-2.58
- change BuildPreReq: alsa-lib -> alsa-lib-devel

* Thu Jun 10 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Fri Apr 09 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update ALSA to 1.0.4

* Thu Apr  8 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.3-3m)
- add %{_initscriptdir}/alsasound

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.3-2m)
- revised spec for enabling rpm 4.2.

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-1m)

* Tue Feb 03 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-1m)
- update ALSA to 1.0.2

* Wed Jan 21 2004 Kenta MURATA <muraken2@nifty.com>
- (1.0.1-2m)
- BuildRequires: autoconf >= 2.58.

* Fri Jan 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.1-1m)

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.2.2m)
- revise aoss wrapper script ($* -> "$@")

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-0.2.1m)
- update to 1.0.0rc2
- merge alsaconf
- merge alsa-oss

* Tue Nov 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.9.8-2m)
- includes snddevices.

* Wed Oct 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-1m)

* Mon Oct  6 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.7-1m)
- update to 0.9.7

* Thu Jul 31 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6
- use %%NoSource

* Mon Jul 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.5-1m)
- update to 0.9.5

* Fri Jun 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-1m)
- update to 0.9.4

* Sun May 25 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3
- update Requires: alsa-lib >= 0.9.3-1m
- update BuildPreReq: alsa-lib >= 0.9.3-1m

* Mon Mar 24 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2
- update Requires: alsa-lib >= 0.9.2-1m
- update BuildPreReq: alsa-lib >= 0.9.2-1m

* Fri Mar 14 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.1-1m)
  update to 0.9.1
  
* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.0-0.8a.1m)
  update to 0.9.0rc8a

* Sun Feb  2 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.0-0.7.1m)
- update to 0.9.0rc7

* Tue Nov 19 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.9.0-0.6.1m)
- 0.9.0rc6

* Thu Oct 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-0.5.1m)
- 0.9.0rc5

* Thu Aug 22 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.9.0-0.3.1m)
- upgrade to 0.9.0rc3
- based on patch in devel.ja:00342

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (0.5.10-4k)
- No docs could be excutable :-p

* Sun Dec 10 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.5.10-3k)
- update to 0.5.10

* Mon Sep 25 2000 Toru Hoshina <t@kondara.org>
- (0.5.9b-0k)
- Version up 0.5.9 -> 0.5.9b

* Thu Aug 10 2000 AYUHANA Tomonori <l@kondara.org>
- (0.5.9-1k)
- Version up 0.5.8 -> 0.5.9

* Tue Jun  6 2000 AYUHANA Tomonori <l@kondara.org>
- Version up 0.5.7 -> 0.5.8
- add -q at %setup
- use %configure

* Thu Apr  9 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.6 -> 0.5.7

* Wed Mar 15 2000 MATSUDA, Daiki <dyky@df-usa.com>
- Version up 0.5.5 -> 0.5.6

* Thu Mar  2 2000 Toru Hoshina <t@kondara.org>
- Version up 0.5.4 -> 0.5.5

* Sun Feb 27 2000 Toru Hoshina <t@kondara.org>
- Version up 0.4.1e -> 0.5.4

* Sat Jan 29 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file
